/*
 * This file is part of Barista.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Barista is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Barista is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import fr.x9c.barista.api.ByteCode;
import fr.x9c.barista.api.ClassDefinition;
import java.io.FileInputStream;

public final class Source {

    public static void main(final String[] args) {
        try {
            final ClassDefinition cd = ByteCode.decode(new FileInputStream("./Source.class"));
            System.out.println(cd.toString());
        } catch (final Throwable t) {
            System.out.println("ERROR: " + t.toString());
        }
    }

}
